import {MPosLookup} from "../src/MPosLookup";
import {APIResponse} from "../src/dataType/APIResponse";

test('TEST_getNetworkDevices',async()=>{

    const printer = new MPosLookup();

    return await printer.getNetworkDevices().then(APIResponse => {
        expect(APIResponse).toStrictEqual(new Array())
    });
});

test('TEST_getBluetoothDevices',async()=>{

    const printer = new MPosLookup();

    return await printer.getBluetoothDevices().then(APIResponse => {
        expect(APIResponse).toStrictEqual(new Array())
    });
});

test('TEST_discoverNetworkDevices',async()=>{

    const printer = new MPosLookup();

    return await printer.discoverNetworkDevices().then(APIResponse => {
        expect(APIResponse).toBe(1000)
    });
});

test('TEST_discoverBLEDevices',async()=>{

    const printer = new MPosLookup();

    return await printer.discoverBLEDevices().then(APIResponse => {
        expect(APIResponse).toBe(1000)
    });
});

